### Class

# Foundry DebuggerThread

#### Description [src]

    abstract class Foundry.DebuggerThread : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for representing threads in the debugger.

FoundryDebuggerThread provides the core interface for representing threads during debugging sessions. It includes thread identification, state management, and provides a unified interface for thread control and inspection across different debugging backends.

#### Ancestors

- GObject

#### Instance methods

###### foundry_debugger_thread_can_move

If `self` can attempt `movement` at this point.

###### foundry_debugger_thread_dup_group_id

No description available.

###### foundry_debugger_thread_dup_id

No description available.

###### foundry_debugger_thread_interrupt

Stops the thread.

since: 1.1

###### foundry_debugger_thread_is_stopped

Gets if the thread is currently stopped.

since: 1.1

###### foundry_debugger_thread_list_frames

No description available.

###### foundry_debugger_thread_move

No description available.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerThread:group-id

No description available.

###### Foundry.DebuggerThread:id

No description available.

###### Foundry.DebuggerThread:stopped

If the thread is known to be stopped.

since: 1.1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerThreadClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryDebuggerThread* self
      );
      char* (* dup_group_id) (
        FoundryDebuggerThread* self
      );
      DexFuture* (* list_frames) (
        FoundryDebuggerThread* self
      );
      gboolean (* is_stopped) (
        FoundryDebuggerThread* self
      );
      DexFuture* (* move) (
        FoundryDebuggerThread* self,
        FoundryDebuggerMovement movement
      );
      DexFuture* (* interrupt) (
        FoundryDebuggerThread* self
      );
      gboolean (* can_move) (
        FoundryDebuggerThread* self,
        FoundryDebuggerMovement movement
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryDebuggerThread* self )`

  No description available.

`dup_group_id: char* (* dup_group_id) ( FoundryDebuggerThread* self )`

  No description available.

`list_frames: DexFuture* (* list_frames) ( FoundryDebuggerThread* self )`

  No description available.

`is_stopped: gboolean (* is_stopped) ( FoundryDebuggerThread* self )`

  No description available.

`move: DexFuture* (* move) ( FoundryDebuggerThread* self, FoundryDebuggerMovement movement )`

  No description available.

`interrupt: DexFuture* (* interrupt) ( FoundryDebuggerThread* self )`

  No description available.

`can_move: gboolean (* can_move) ( FoundryDebuggerThread* self, FoundryDebuggerMovement movement )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerThreadClass.can_move

If `self` can attempt `movement` at this point.

###### Foundry.DebuggerThreadClass.dup_group_id

No description available.

###### Foundry.DebuggerThreadClass.dup_id

No description available.

###### Foundry.DebuggerThreadClass.interrupt

Stops the thread.

since: 1.1

###### Foundry.DebuggerThreadClass.is_stopped

Gets if the thread is currently stopped.

since: 1.1

###### Foundry.DebuggerThreadClass.list_frames

No description available.

###### Foundry.DebuggerThreadClass.move

No description available.

since: 1.1